:root {
    --green-gradient: linear-gradient(180deg, #0db5b8 0%, #0b9c9e 100%);
    --left-gradient: linear-gradient(90deg, rgba(0, 88, 89, 0.871) 10%, rgb(0 0 0 / 20%) 50%);
    --bottom-gradient: linear-gradient(180deg, rgba(0, 88, 89, 0) 0%, var(--green200) 30%);
    --yellow300: #dece1f;
    --yellow350: #ffe400;
    --yellow700: #fea713;
    --green100: #0d8486;
    --green200: #005859;
    --green400: #078d90;
    --green500: #008e90;
    --green600: #00b2b5;
    --red: #e6493f;
    --white: #fff;
    --black: #000;
    --font-second-text: "Arial", sans-serif;
}

@keyframes fadeInAnimation {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

body {
    background-color: var(--green200);
    font-family: var(--font-second-text) !important;
    margin: 0;
    overflow-x: hidden;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    opacity: 0;
    animation: fadeInAnimation 0.5s ease-in-out forwards;
}

body.page-hotel .header::before {
    background-image: url(../../assets/img/branches/bg1.jpg);
}

body.page-vermieter .header::before {
    background-image: url(../../assets/img/branches/bg2.jpg);
}
body.page-messe-aussteller .header::before {
    background-image: url(../../assets/img/branches/bg3.jpg);
    background-position: bottom;
}
body.page-gastronomie .header::before {
    background-image: url(../../assets/img/branches/bg4.jpg);
}
body.page-vereine .header::before {
    background-image: url(../../assets/img/branches/bg5.jpg);
    background-position: bottom;
}
body.page-kmu .header::before {
    background-image: url(../../assets/img/branches/bg6.jpg);
    background-position: center;
}
body.page-massage .header::before {
    background-image: url(../../assets/img/branches/bg7.jpg);
    background-position: center;
}
body.page-dienstleistung .header::before {
    background-image: url(../../assets/img/branches/bg8.jpg);
    background-position: center;
}
body.page-handel-shop-betreiber .header::before {
    background-image: url(../../assets/img/branches/bg9.jpg);
    background-position: center;
}
body.page-gemeinde .header::before {
    background-image: url(../../assets/img/branches/bg10.webp);
    background-position: center;
}

.header {
    width: 100%;
    height: 100%;
}

.header::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 700px;
    background-position: top;
    background-size: cover;
    z-index: -1;
}
.header::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 700px;
    background-color: rgba(0, 0, 0, 0.2);
    background: var(--left-gradient);
    z-index: -1;
}

header {
    position: relative;
    z-index: 2;
    display: flex;
    justify-content: center;
    padding: 0 50px;
    padding-top: 40px;
    margin-bottom: 40px;
    box-sizing: border-box;
}

.logo {
    width: 350px;
    height: 100%;
}

.lang-switch {
    position: absolute;
    z-index: 999;
    right: 30px;
    top: 10px;
}
.lang-switch__nav {
    display: flex !important;
    gap: 20px;
    list-style: none;
    line-height: normal;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    margin: 0;
    padding: 0;
}

.lang-switch__item {
    padding-bottom: 3px;
}
li {
    margin-block-start: 0;
    margin-block-end: 0;
    border: 0;
    outline: 0;
    font-size: 100%;
    vertical-align: baseline;
    background: transparent;
}

a.lang-switch__link {
    text-decoration: none;
}

span.lang-switch__item-name {
    font-size: 24px;
    color: var(--white);
    font-family: "Inter", Sans-serif;
    /* text-shadow: 2px 3px 4px #2e2e2e91; */
}
.activeLang {
    position: relative;
}
.activeLang::after {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    bottom: -1px;
    border-bottom: 2px solid var(--white);
    /* box-shadow: 0px 2px 4px rgb(46 46 46); */
}

main {
    flex: 1;
}

.info {
    position: relative;
    padding: 0 50px;
    padding-top: 50px;
    margin-bottom: 20px;
    background: linear-gradient(180deg, #04b6b9bd 0%, #fff 30%);
    background: var(--bottom-gradient);
    height: 100%;
    border-radius: 30px;
    z-index: 2;
}

.info__container {
    max-width: 1600px;
    height: 100%;
    display: flex;
    flex-direction: column;
    gap: 60px;
    margin-right: auto;
    margin-left: auto;
    position: relative;
}

h1 {
    font-size: 80px;
    color: var(--white);
    /* text-transform: uppercase; */
    font-weight: 600;
}

.info__header {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.info__buttons {
    display: flex;
    gap: 20px;
    width: 100%;
    max-width: 650px;
}

.button-reg {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    gap: 12px;
    width: 100%;
    height: 100px;
    padding: 10px 15px;
    background: var(--yellow700);
    color: var(--white);
    border-radius: 12px;
    font-family: "Helvetica", Sans-serif;
    font-size: 24px;
    font-weight: 600;
    /* text-transform: uppercase; */
    overflow: hidden;
    box-shadow: 0px 6px 10px 0px #00000012;
    transition: all 0.3s ease;
    cursor: pointer;
    z-index: 1;
}

.button-reg__subtitle {
    font-size: 16px;
    font-weight: 600;
}

.button-info {
    display: flex;
    align-items: center;
    position: relative;
    height: 100px;
    width: 120px;
    padding: 10px 15px;
    background: var(--yellow700);
    border-radius: 12px;
    justify-content: center;
    position: relative;
    overflow: hidden;
    box-shadow: 0px 6px 10px 0px #00000012;
    transition: all 0.3s ease;
    cursor: pointer;
    z-index: 1;
}

.button-reg__title {
    font-size: 26px;
}

.button-reg__subtitle {
    font-size: 19px;
}
.button-reg::before {
    content: "";
    position: absolute;
    top: 0px;
    height: 100%;
    width: 45px;
    transform: skewX(-45deg);
    right: 0px;
    background: linear-gradient(90deg, rgba(255, 255, 255, 0.05), rgba(255, 255, 255, 0.2));
    animation: 3s linear 0s infinite normal none running flareAnimation;
    max-width: 750px;
}

.button-reg:hover {
    transform: scale(1.02);
}

.button-info:hover {
    transform: scale(1.05);
}

@keyframes flareAnimation {
    0% {
        left: -100%;
    }
    100% {
        left: 150%;
    }
}

.button-info img {
    width: 60px;
    height: 60px;
}

.info__content {
    display: flex;
    flex-direction: column;
    gap: 35px;
}

.info__content-main {
    display: flex;
    gap: 40px;
}

.info__text {
    display: flex;
    flex-direction: column;
    color: var(--white);
    width: 70%;
    font-size: 20px;
}

.info__text p,
.info__content-secondary p {
    line-height: 1.8em;
    font-size: 22px;
    margin-bottom: 20px;
    color: var(--white);
}

.large {
    font-size: 32px !important;
    line-height: 1.4em !important;
}

.small {
    font-size: 20px !important;
    line-height: 1.8em !important;
    margin-bottom: 10px !important;
}

.middle {
    font-size: 24px !important;
    line-height: 1.8em !important;
    margin-bottom: 10px !important;
}

.boldType {
    font-weight: bold;
}

ul {
    list-style-type: disc;
    padding-left: 1.5em;
    margin: 0;
}

li {
    margin-bottom: 0.5em;
}

.info__text-item {
    line-height: 1.8em;
    font-size: 22px;
}

.info__content-secondary {
    width: 100%;
    display: flex;
    flex-direction: column;
}
.info__preview {
    width: 30%;
    display: flex;
    justify-content: flex-end;
}

.preview {
    display: flex;
    align-items: center;
    gap: 20px;
    z-index: 3;
    position: relative;
    max-width: 610px;
    left: 33px;
}

.preview-phone-bg {
    background: url(/assets/phone1.png);
    background-position: center;
    background-size: cover;
    width: 440px;
    height: 840px;
    position: relative;
    pointer-events: none;
}

.preview-iframe {
    position: absolute;
    top: 70px;
    left: 28px;
    width: 335px;
    height: 682px;
    border-radius: 0 0 20px 20px;
}

.preview-content {
    position: relative;
    left: 25px;
    position: relative;
    display: flex;
    flex-flow: column;
    overflow: hidden;
}

.info_arrow-demo {
    position: relative;
    left: 215px;
    bottom: 150px;
    /* animation: smooth-shake 5s ease-in-out infinite; */
}
@keyframes smooth-shake {
    0% {
        transform: translateX(0);
    }
    1% {
        transform: translateX(-4px);
    }
    2% {
        transform: translateX(4px);
    }
    3% {
        transform: translateX(-3px);
    }
    4% {
        transform: translateX(3px);
    }
    5% {
        transform: translateX(0);
    }
    100% {
        transform: translateX(0);
    }
}

.info_arrow-demo img {
    width: 80px;
    height: auto;
    position: absolute;
    top: 25px;
}

.info_arrow-demo span {
    background-color: var(--red);
    color: var(--white);
    padding: 15px 30px;
    border-radius: 15px;
    position: absolute;
    text-align: center;
    white-space: nowrap;
    width: auto;
    top: -80px;
    left: -80px;
    transform: rotate(11deg);
    font-size: 25px;
    line-height: 1.2em;
}

@media (max-width: 1600px) {
    .header {
        padding-top: 35px;
        margin-bottom: 35px;
    }
    .logo {
        width: 300px;
    }

    h1 {
        font-size: 60px;
    }

    .button-reg,
    .button-info {
        height: 85px;
    }
    .button-info {
        width: 100px;
    }

    .button-info img {
        width: 50px;
        height: 50px;
    }

    .button-reg__title {
        font-size: 24px;
    }

    .button-reg__subtitle {
        font-size: 16px;
    }

    .info {
        padding: 30px 50px 0 50px;
        /* background: linear-gradient(180deg, #04b6b9bd 0%, #fff 20%); */
    }

    .info__header {
        gap: 25px;
    }

    .preview {
        gap: 0px;
        left: 0px;
    }

    .preview-phone-bg {
        width: 350px;
        height: 710px;
    }

    .preview-iframe {
        top: 63px;
        left: 10px;
        width: 290px;
        height: 575px;
        border-radius: 0 0 20px 20px;
    }

    .info_arrow-demo {
        left: 200px;
        bottom: 130px;
    }

    .info__container {
        gap: 40px;
    }

    .info_arrow-demo span {
        font-size: 20px;
        padding: 15px 25px;
        left: -60px;
        top: -60px;
    }

    .info__text p,
    .info__content-secondary p {
        font-size: 19px;
    }

    .large {
        font-size: 28px !important;
    }

    .middle {
        font-size: 22px !important;
    }
    .small {
        font-size: 18px !important;
        margin-bottom: 5px !important;
    }

    .info__text-item {
        font-size: 19px;
    }

    .info__content {
        gap: 20px;
    }
}

@media (max-width: 1350px) {
    .logo {
        width: 270px;
    }

    h1 {
        font-size: 55px;
    }

    .info__buttons {
        max-width: 500px;
    }

    .button-reg,
    .button-info {
        height: 75px;
    }

    .button-reg__title {
        font-size: 22px;
    }

    .button-reg__subtitle {
        font-size: 15px;
    }

    .info__preview {
        width: 25%;
    }
    .preview-phone-bg {
        width: 290px;
        height: 590px;
    }

    .preview-iframe {
        top: 52px;
        left: 10px;
        width: 240px;
        height: 480px;
        border-radius: 0 0 20px 20px;
    }

    .info_arrow-demo span {
        font-size: 17px;
        padding: 12px 15px;
        top: -40px;
        left: -40px;
        border-radius: 12px;
    }

    .large {
        font-size: 26px !important;
    }

    .info__text p,
    .info__content-secondary p {
        font-size: 18px;
        margin-bottom: 15px;
    }

    .middle {
        font-size: 20px !important;
    }

    .info__text-item {
        font-size: 18px;
    }

    .small {
        font-size: 16px !important;
    }
}

@media (max-width: 1180px) {
    /*     .info {
        background: linear-gradient(180deg, #04b6b9bd 0%, #fff 13%);
    } */
    .info__content {
        gap: 50px;
    }
    .info__text {
        width: 75%;
    }
    .info__preview {
        width: 35%;
    }
}

@media (max-width: 1015px) {
    .info__content-main {
        flex-direction: column;
    }
    .info__text {
        width: 100%;
    }

    .info__preview {
        width: 100%;
        align-items: center;
        gap: 150px;
        flex-direction: column;
    }

    .preview-content {
        left: 0;
    }

    .preview-phone-bg {
        width: 490px;
        height: 900px;
    }

    .preview-iframe {
        top: 79px;
        left: 40px;
        width: 360px;
        height: 725px;
        border-radius: 0 0 20px 20px;
    }

    .info_arrow-demo {
        left: initial;
        bottom: -15px;
    }

    .info_arrow-demo span {
        top: -30px;
        left: -40px;
    }
}

@media (max-width: 767px) {
    .header {
        padding-top: 60px;
    }
    .lang-switch {
        top: 30px;
        left: 50%;
        transform: translate(-50%, -50%);
        right: initial;
    }
    .main__container {
        padding: 70px 0px 0px 0px;
    }

    .logo {
        width: 240px;
    }

    h1 {
        font-size: 45px;
    }

    .info__container {
        gap: 30px;
    }

    .info__buttons {
        max-width: 485px;
    }

    .button-reg__title {
        font-size: 20px;
    }
    .button-reg__subtitle {
        font-size: 14px;
    }
    .button-info img {
        width: 45px;
        height: 45px;
    }

    .large {
        font-size: 24px !important;
    }

    .info_arrow-demo {
        left: initial;
        bottom: -20px;
    }
    .info_arrow-demo img {
        width: 60px;
    }
    .info_arrow-demo span {
        font-size: 16px;
        top: -40px;
        left: -40px;
    }
    .info__preview {
        gap: 130px;
    }
}

@media (max-width: 600px) {
    /*     .info {
        background: linear-gradient(180deg, #04b6b9bd 0%, #fff 10%);
    } */
    h1 {
        font-size: 40px;
        text-align: center;
    }
    .info {
        padding: 30px 30px 0 30px;
    }
    .info__buttons {
        max-width: initial;
        flex-direction: column;
    }

    .button-reg__title {
        font-size: 18px;
    }
    .button-reg__subtitle {
        font-size: 13px;
    }
    .button-info {
        width: 100%;
        height: 55px;
    }
    .button-info img {
        width: 40px;
        height: 40px;
    }
    .preview-phone-bg {
        width: 360px;
        height: 670px;
    }

    .preview-iframe {
        top: 59px;
        left: 25px;
        width: 270px;
        height: 540px;
        border-radius: 0 0 20px 20px;
    }
}

@media (max-width: 450px) {
    .header {
        margin-bottom: 20px;
    }
    .logo {
        width: 215px;
    }

    h1 {
        font-size: 35px;
    }

    .info {
        border-radius: 15px;
        padding: 20px;
    }

    .button-reg {
        height: 65px;
        border-radius: 12px;
        gap: 8px;
    }

    .button-reg__title {
        font-size: 18px;
    }

    .button-reg img {
        width: 0.5em !important;
    }

    .button-reg__subtitle {
        font-size: 11px;
    }

    .button-info {
        height: 45px;
        border-radius: 10px;
    }
    .button-info img {
        width: 30px;
        height: 30px;
    }

    .preview {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        /* grid-template-rows: auto auto; */
        grid-auto-rows: auto;
        align-items: center;
        justify-items: center;
        width: 100%;
        min-width: 300px !important;
        height: auto !important;
        min-height: auto !important;
    }

    .swiper.main__swiper.swiper-initialized.swiper-horizontal.swiper-backface-hidden {
        max-width: initial;
    }

    .preview {
        gap: 0px;
    }

    .preview-phone-bg {
        width: 350px;
        height: 620px;
        left: 5px;
    }

    .preview-iframe {
        top: 54px;
        left: 38px;
        width: 248px;
        height: 501px;
        border-radius: 0 0 20px 20px;
    }

    .info__container {
        gap: 25px;
    }
    .info__text p,
    .info__content-secondary p {
        font-size: 15px;
        margin-bottom: 10px;
    }
    .large {
        font-size: 20px !important;
    }

    .middle {
        font-size: 18px !important;
    }

    .info__text-item {
        font-size: 15px;
        line-height: 1.7em;
    }

    .small {
        font-size: 14px !important;
    }

    .info_arrow-demo {
        right: 20px;
    }
    .info_arrow-demo span {
        transform: rotate(9deg);
    }
}
